Subject: Re: bug#4186: 23.0.91; Can not compile CVS Emacs on Debian old-stable (dbus problem)

From: Michael Albinus <[email-masked]>
Date: Fri, 21 Aug 2009 08:47:41 +0200

Matthieu Moy <[email-masked]> writes:

> Hi,

Hi,

> Short version: whether I enable dbus or not, newest Emacs fails to
> compile on my system.

I'm impressed: 23.0.91 is the newest Emacs. Really?

> Longer version:
> With the same configuration I used to succeed in compiling Emacs on my
> machine, I now get this error at link time:
>
> dbusbind.o: In function `xd_remove_watch':
> /home/moy/local/usr/src/emacs/src/dbusbind.c:766: undefined reference to `dbus_watch_get_unix_fd'
> /home/moy/local/usr/src/emacs/src/dbusbind.c:768: undefined reference to `dbus_watch_get_socket'
> dbusbind.o: In function `xd_add_watch':
> /home/moy/local/usr/src/emacs/src/dbusbind.c:741: undefined reference to `dbus_watch_get_unix_fd'
> /home/moy/local/usr/src/emacs/src/dbusbind.c:743: undefined reference to `dbus_watch_get_socket'
> collect2: ld returned 1 exit status

Both functions have been added in D-Bus 1.1.1. I've committed a fix,
which checks the availability of these functions.

> Fine, I thought, my dbus is too old, I don't need it, I'll disable it.
> But compiling with --without-dbus, it doesn't work either:
>
> Wrote /net/bauges/local/moy/usr/src/emacs.git/lisp/net/tramp-ftp.elc
> Compiling /net/bauges/local/moy/usr/src/emacs.git/lisp/net/tramp-gvfs.el
> Loading tramp...
>
> In toplevel form:
> ../../lisp/net/tramp-gvfs.el:101:1:Error: Symbol's function definition is void: dbus-init-bus
> make[2]: *** [...] Error 1
>
> Reproducible with a fresh checkout.
>
> Ideally, Emacs should be tought not to use inexisting functions in
> libdbus, but at least, fixing the build with --without-dbus should be
> done.

Yes, I've reenabled the check for (featurep 'dbusbind)

> Thanks in advance,

Best regards, Michael.